#!/bin/bash

echo =================================
echo 自动化部署脚本启动
echo 自动化部署脚本启动
echo =================================
echo 进入/opt/code/allthings-share-admin-vue

cd /opt/code/allthings-share-admin-vue
echo 拉取代码

if [ $# -eq 0 ];
  then
    git checkout master
else
    git checkout $1
fi

git pull

echo 开始打包
npm run build --test

echo 开始复制版本
cp -rf /opt/code/allthings-share-admin-vue/dist/* /opt/work/www/

echo ###################################
echo 更新完毕
echo ###################################
